library d_method;

import 'dart:math';

class DMethod {
  // ignore: avoid_print
  static void printBasic(String body) => print(body);

  static void printTitle(String title, String body) {
    printBasic('_' * 80);
    printBasic('===> ' + title);
    printBasic('===> ' + body);
    printBasic('=' * 80);
  }

  static double byteToMb(int byte) {
    double kb = byte / 1024;
    double mb = kb / 1024;
    return mb;
  }

  double coordinateDistance(lat1, lon1, lat2, lon2) {
    var p = 0.017453292519943295;
    var a = 0.5 -
        cos((lat2 - lat1) * p) / 2 +
        cos(lat1 * p) * cos(lat2 * p) * (1 - cos((lon2 - lon1) * p)) / 2;
    return 12742 * asin(sqrt(a));
  }
}
